Skip to main content
GET
/
networks
/
custom
/
creative
/
{settingId}
Get Custom Creative Setting by ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/custom/creative/{settingId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_custom_creative_setting_id": 123,
  "network_id": 123,
  "network_offer_creative_ids": [
    123
  ],
  "network_affiliate_ids": [
    123
  ],
  "name": "<string>",
  "custom_setting_status": "active",
  "time_created": 123,
  "time_saved": 123,
  "relationship": {
    "affiliates": [
      {}
    ],
    "creative": {}
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

settingId
integer
required

The custom creative setting identifier.

Response

200 - application/json

OK

network_custom_creative_setting_id
integer

Unique custom creative setting ID.

network_id
integer

Network ID.

network_offer_creative_ids
integer[]

List of offer creative IDs assigned.

network_affiliate_ids
integer[]

List of affiliate IDs this setting applies to.

name
string

Custom creative setting name.

custom_setting_status
enum<string>

Setting status.

Available options:
active,
inactive
time_created
integer

Unix timestamp of creation.

time_saved
integer

Unix timestamp of last update.

relationship
object